{
    "layer": "top",
    "modules-left": ["niri/workspaces"],
    "modules-center": ["clock"],
    "modules-right": ["bluetooth", "network", "wireplumber#source", "wireplumber#sink", "mpd", "idle_inhibitor", "battery"],
	
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "󰅶",
            "deactivated": "󰾪"
        },
        "tooltip": false
    },

    "niri/window": {
        "max-length": 100
    },

    "bluetooth": {
        // "controller": "controller1", // specify the alias of the controller if there are more than 1 on the system
        "format": "",
        "format-disabled": "󰂲", // an empty format will hide the module
        "format-connected": "󰂯",
        "tooltip-format": "{device_enumerate}",
        "tooltip-format-enumerate-connected": "{device_alias}",
        "tooltip-format-enumerate-connected-battery": "{device_alias} ({device_battery_percentage}%)",
        "on-click-right": "bluetoothmenu.fish"
    },
    
    "network": {
        "interface": "wlp2s0",
        "format": "{ifname}",
        "format-icons": ["󰤟", "󰤢", "󰤥", "󰤨"],
        "format-wifi": "{icon}",
        "format-ethernet": "󰈁",
        "format-disconnected": "", //An empty format will hide the module.
        "tooltip-format": "{ifname}",
        "tooltip-format-wifi": "󰖩 {essid} ({signalStrength}%)",
        "tooltip-format-ethernet": "󰈁 {ifname}",
        "tooltip-format-disconnected": "Disconnected",
        "on-click-right": "networkmenu.fish"
    },

    "wireplumber#sink": {
        "format": "{icon}",
        "format-muted": "󰖁",
        "format-icons": ["󰕿", "󰖀", "󰕾"],
        "tooltip-format": "{node_name} ({volume}%)",
        "on-click-right": "wpsinkmenu.fish",
        "on-click": "wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle",
        "scroll-step": 5,
		"on-scroll-down": "wpctl set-volume @DEFAULT_AUDIO_SINK@ 5%- --limit 1.5 && volumenotify.fish",
		"on-scroll-up": "wpctl set-volume @DEFAULT_AUDIO_SINK@ 5%+ --limit 1.5 && volumenotify.fish"
    },

    "wireplumber#source": {
        "node-type": "Audio/Source",
        "format": "󰍬",
        "format-muted": "󰍭",
        "tooltip-format": "{node_name} ({volume}%)",
        "on-click-right": "wpsourcemenu.fish",
        "on-click": "wpctl set-mute @DEFAULT_AUDIO_SOURCE@ toggle",
        "scroll-step": 5
    },

	"mpd": {
		"format": "{stateIcon}",
		"format-stopped": "󰓛",
		"format-disconnected": "󱘖",
		"tooltip-format": "{artist} - {album} - {title}\n{elapsedTime:%M:%S}/{totalTime:%M:%S}\n{consumeIcon} {randomIcon} {repeatIcon} {singleIcon}",
		"state-icons": {
			"playing": "󰐊",
			"paused": "󰏤"
		},
		"consume-icons": {
			"on": "󰉚",
			"off": "󰗳"
		},
		"random-icons": {
			"on": "󰒟",
			"off": "󰒞"
		},
		"repeat-icons": {
			"on": "󰑖",
			"off": "󰑗"
		},
		"single-icons": {
			"on": "󰎄",
			"off": "󰌳"
		},
		"on-click": "mpc toggle",
		"on-click-middle": "mpc stop",
		"on-click-right": "mpdmenu.fish",
		"on-scroll-down": "mpc volume -5 && mpdvolumenotify.fish",
		"on-scroll-up": "mpc volume +5 && mpdvolumenotify.fish"

	},

    "battery": {
        "interval": 60,
        "states": {
            "warning": 30,
            "critical": 15
        },
        "events": {
            "on-discharging-warning": "notify-send -u normal 'Low Battery'",
            "on-discharging-critical": "notify-send -u critical 'Very Low Battery'"
        },
        "format": "{icon}",
        "format-icons": ["󰁺", "󰁻", "󰁼", "󰁽", "󰁾", "󰁿", "󰂀", "󰂁", "󰂂", "󰁹"],
        "format-charging": "󰂄",
        "tooltip-format": "Battery ({capacity}%)\n{power}W: {time}"
    },

    "clock": {
        "format": "{:%A, %B %d  %R}",
        "tooltip-format": "<tt><small>{calendar}</small></tt>",
        "calendar": {
            "mode"          : "year",
            "mode-mon-col"  : 3,
            "weeks-pos"     : "right",
            "on-scroll"     : 1,
            "on-click-right": "mode",
            "format": {
                "months":     "<span color='#ffffff'><b>{}</b></span>",
                "days":       "<span color='#ffffff'>{}</span>",
                "weeks":      "<span color='#7f7f7f'>W{}</span>",
                "weekdays":   "<span color='#999999'>{}</span>",
                "today":      "<span color='#7fc8ff'><b>{}</b></span>"
            }
        },
        "actions": {
            "on-click-right": "mode",
            "on-click-forward": "tz_up",
            "on-click-backward": "tz_down",
            "on-scroll-up": "shift_up",
            "on-scroll-down": "shift_down"
        }
    }

}

